Lang string misleading when inst. staff doesn't have stats access

Bug #1086569 reported by Craig Eves on 2012-12-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
1.8
Medium
Robert Lyon

Bug Description

When logged in as staff on the demo.mahara.org and choosing this option under

Institution information > Institution statistics the message
Institution statistics are not available because there are no institutions available to your user.

This person is a member of the institution Mahara School

This works for site admin and also site staff - this doesn't work on myportfolio either

It looks like the user needs to have access to all institutions for this report to work.

Craig

When the staff statistics access option is off, the message is misleading, and should be something like:
"This should be changed to something like to Staff statistics needs to be
turned on for the site to allow staff to view these."
-- Hugh (from comment 3)

Melissa Draper (melissa) wrote :

Hi Craig,

Does the user have institution staff or institution admin access? If you're talking about staff, you would have to check if institution staff access is set up for the stats.

Hi Melissa

The member has institution staff access. How do you check if institution
staff access to stats is setup I can't see a site setting on the menu for
this.

If it isn't setup then I don't think the option should appear on the menu.

cheers
Craig

On Wed, Dec 5, 2012 at 12:26 PM, Melissa Draper <email address hidden>wrote:

> Hi Craig,
>
> Does the user have institution staff or institution admin access? If
> you're talking about staff, you would have to check if institution staff
> access is set up for the stats.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1086569
>
> Title:
> Institution stats don't work for Institution staff
>
> Status in Mahara ePortfolio:
> New
>
> Bug description:
> When logged in as staff on the demo.mahara.org and choosing this
> option under
>
> Institution information > Institution statistics the message
> Institution statistics are not available because there are no
> institutions available to your user.
>
> This person is a member of the institution Mahara School
>
> This works for site admin and also site staff - this doesn't work on
> myportfolio either
>
> It looks like the user needs to have access to all institutions for
> this report to work.
>
> Craig
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mahara/+bug/1086569/+subscriptions
>

--
___________________________________________________
Craig Eves
Education Technology Support
Kineo (Pacific)
E: <email address hidden>
T: +64 4 801 6683
M:+64 (0) 21 121 0244
Skype: craig.evesnz
www.kineo.co.nz
____________________________________________________
For e-learning tips and news get the Kineo Newsletter delivered to your
inbox each month

Kineo (Pacific) Registered Office: Level 8, Catalyst House, 150 Willis
Street, Wellington,New Zealand. Registered in New Zealand as Flexible
Learning Network Limited Company number: 1727137.
This email message is intended only for the addressee(s) and contains
information that may be confidential and/or copyright. If you are not the
intended recipient please notify the sender by reply email and immediately
delete this email. No representation is made that this email or any
attachments are free of viruses. Virus scanning is recommended and is the
responsibility of the recipient.

Craig Eves (craig-flexible) wrote :
Download full text (3.8 KiB)

Hi Melissa

I found what you were meaning there is staff statistics access setting that
isn't turned on.

The message that comes up says
Institution statistics are not available because there are no institutions
available to your user, this is not the reason

This should be changed to something like to Staff statistics needs to be
turned on for the site to allow staff to view these.

regards
Craig

On Wed, Dec 5, 2012 at 1:15 PM, Craig Eves <email address hidden> wrote:

> Hi Melissa
>
> The member has institution staff access. How do you check if institution
> staff access to stats is setup I can't see a site setting on the menu for
> this.
>
> If it isn't setup then I don't think the option should appear on the menu.
>
> cheers
> Craig
>
>
> On Wed, Dec 5, 2012 at 12:26 PM, Melissa Draper <email address hidden>wrote:
>
>> Hi Craig,
>>
>> Does the user have institution staff or institution admin access? If
>> you're talking about staff, you would have to check if institution staff
>> access is set up for the stats.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1086569
>>
>> Title:
>> Institution stats don't work for Institution staff
>>
>> Status in Mahara ePortfolio:
>> New
>>
>> Bug description:
>> When logged in as staff on the demo.mahara.org and choosing this
>> option under
>>
>> Institution information > Institution statistics the message
>> Institution statistics are not available because there are no
>> institutions available to your user.
>>
>> This person is a member of the institution Mahara School
>>
>> This works for site admin and also site staff - this doesn't work on
>> myportfolio either
>>
>> It looks like the user needs to have access to all institutions for
>> this report to work.
>>
>> Craig
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/mahara/+bug/1086569/+subscriptions
>>
>
>
>
> --
> ___________________________________________________
> Craig Eves
> Education Technology Support
> Kineo (Pacific)
> E: <email address hidden>
> T: +64 4 801 6683
> M:+64 (0) 21 121 0244
> Skype: craig.evesnz
> www.kineo.co.nz
> ____________________________________________________
> For e-learning tips and news get the Kineo Newsletter delivered to your
> inbox each month
>
> Kineo (Pacific) Registered Office: Level 8, Catalyst House, 150 Willis
> Street, Wellington,New Zealand. Registered in New Zealand as Flexible
> Learning Network Limited Company number: 1727137.
> This email message is intended only for the addressee(s) and contains
> information that may be confidential and/or copyright. If you are not the
> intended recipient please notify the sender by reply email and immediately
> delete this email. No representation is made that this email or any
> attachments are free of viruses. Virus scanning is recommended and is the
> responsibility of the recipient.
>
>

--
___________________________________________________
Craig Eves
Education Technology Support
Kineo (Pacific)
E: <email address hidden>
T: +64 4 801 6683
M:+64 (0) 21 121 0244
Skype: craig.evesnz
www.kineo.co.nz
___________...

Read more...

description: updated
Changed in mahara:
status: New → Triaged
importance: Undecided → Medium
milestone: none → 1.7.0
tags: added: statistics translations
tags: added: bite-sized
tags: added: academy
Changed in mahara:
status: Triaged → In Progress
assignee: nobody → Christian Tuveve-Aiono (handlethesandal)
Matthew B (mattjbjb) on 2013-01-15
Changed in mahara:
assignee: Christian Tuveve-Aiono (handlethesandal) → nobody
assignee: nobody → Matthew B (mattjbjb)
Changed in mahara:
assignee: Matthew B (mattjbjb) → Christian Tuveve-Aiono (handlethesandal)
Changed in mahara:
assignee: Christian Tuveve-Aiono (handlethesandal) → nobody
Changed in mahara:
assignee: nobody → Christian Tuveve-Aiono (handlethesandal)
Aaron Wells (u-aaronw) on 2013-04-19
Changed in mahara:
milestone: 1.7.0 → 1.8.0

There is a review at https://reviews.mahara.org/1999 that could be used as basis.

Changed in mahara:
assignee: Christian Tuveve-Aiono (handlethesandal) → nobody
summary: - Institution stats don't work for Institution staff
+ Lang string misleading when inst. staff doesn't have stats access
Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-22
Changed in mahara:
milestone: 1.8.0 → 1.8.1
Aaron Wells (u-aaronw) on 2013-12-17
Changed in mahara:
milestone: 1.8.1 → 1.8.2

Reviewed: https://reviews.mahara.org/1999
Committed: http://gitorious.org/mahara/mahara/commit/fb128a98cd6eda6ef1502c77b3a58ffbe3a0bf43
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit fb128a98cd6eda6ef1502c77b3a58ffbe3a0bf43
Author: Christian Tuveve-Aiono <email address hidden>
Date: Wed Jan 16 12:06:03 2013 +1300

Bug#1086569 Fixed the statistics display message

When the staff statistics access option has been
turned off,the institution statistics display message has been
made clearer letting the user know they have no access.

Also fixed problem where user is admin in one institution and staff
in another but can not see stats for the institution they are a staff
member in (when staff statistics are turned on)

Change-Id: I81f2cd7d37bc13106429369fbd9a8eb018d7fcdd
Signed-off-by: Christian Tuveve-Aiono <email address hidden>

tags: added: usermanualupdate

Reviewed: https://reviews.mahara.org/3154
Committed: http://gitorious.org/mahara/mahara/commit/1003cefb83c2b7642884acf8d31f71fb0862d15b
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 1003cefb83c2b7642884acf8d31f71fb0862d15b
Author: Christian Tuveve-Aiono <email address hidden>
Date: Wed Jan 16 12:06:03 2013 +1300

Bug#1086569 Fixed the statistics display message

When the staff statistics access option has been
turned off,the institution statistics display message has been
made clearer letting the user know they have no access.

Also fixed problem where user is admin in one institution and staff
in another but can not see stats for the institution they are a staff
member in (when staff statistics are turned on)

Change-Id: I81f2cd7d37bc13106429369fbd9a8eb018d7fcdd
Signed-off-by: Christian Tuveve-Aiono <email address hidden>

Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
no longer affects: mahara/1.9
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers